Package org.apache.xmlbeans.impl.xb.substwsdl

## Interface DefinitionsDocument.Definitions

- All Superinterfaces:
    `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `DefinitionsDocumentImpl.DefinitionsImpl`
  Enclosing interface:
    DefinitionsDocument

      public static interface DefinitionsDocument.Definitions
      extends XmlObject

  An XML definitions(@http://www.apache.org/internal/xmlbeans/wsdlsubst). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ElementFactory<DefinitionsDocument.Definitions>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `XmlObject` | `addNewBinding()` | Appends and returns a new empty value (as xml) as the last "binding" element
    `TImport` | `addNewImport()` | Appends and returns a new empty value (as xml) as the last "import" element
    `XmlObject` | `addNewMessage()` | Appends and returns a new empty value (as xml) as the last "message" element
    `XmlObject` | `addNewPortType()` | Appends and returns a new empty value (as xml) as the last "portType" element
    `XmlObject` | `addNewService()` | Appends and returns a new empty value (as xml) as the last "service" element
    `XmlObject` | `addNewTypes()` | Appends and returns a new empty value (as xml) as the last "types" element
    `XmlObject[]` | `getBindingArray()` | Gets array of all "binding" elements
    `XmlObject` | `getBindingArray​(int i)` | Gets ith "binding" element
    `List<XmlObject>` | `getBindingList()` | Gets a List of "binding" elements
    `TImport[]` | `getImportArray()` | Gets array of all "import" elements
    `TImport` | `getImportArray​(int i)` | Gets ith "import" element
    `List<TImport>` | `getImportList()` | Gets a List of "import" elements
    `XmlObject[]` | `getMessageArray()` | Gets array of all "message" elements
    `XmlObject` | `getMessageArray​(int i)` | Gets ith "message" element
    `List<XmlObject>` | `getMessageList()` | Gets a List of "message" elements
    `XmlObject[]` | `getPortTypeArray()` | Gets array of all "portType" elements
    `XmlObject` | `getPortTypeArray​(int i)` | Gets ith "portType" element
    `List<XmlObject>` | `getPortTypeList()` | Gets a List of "portType" elements
    `XmlObject[]` | `getServiceArray()` | Gets array of all "service" elements
    `XmlObject` | `getServiceArray​(int i)` | Gets ith "service" element
    `List<XmlObject>` | `getServiceList()` | Gets a List of "service" elements
    `XmlObject[]` | `getTypesArray()` | Gets array of all "types" elements
    `XmlObject` | `getTypesArray​(int i)` | Gets ith "types" element
    `List<XmlObject>` | `getTypesList()` | Gets a List of "types" elements
    `XmlObject` | `insertNewBinding​(int i)` | Inserts and returns a new empty value (as xml) as the ith "binding" element
    `TImport` | `insertNewImport​(int i)` | Inserts and returns a new empty value (as xml) as the ith "import" element
    `XmlObject` | `insertNewMessage​(int i)` | Inserts and returns a new empty value (as xml) as the ith "message" element
    `XmlObject` | `insertNewPortType​(int i)` | Inserts and returns a new empty value (as xml) as the ith "portType" element
    `XmlObject` | `insertNewService​(int i)` | Inserts and returns a new empty value (as xml) as the ith "service" element
    `XmlObject` | `insertNewTypes​(int i)` | Inserts and returns a new empty value (as xml) as the ith "types" element
    `void` | `removeBinding​(int i)` | Removes the ith "binding" element
    `void` | `removeImport​(int i)` | Removes the ith "import" element
    `void` | `removeMessage​(int i)` | Removes the ith "message" element
    `void` | `removePortType​(int i)` | Removes the ith "portType" element
    `void` | `removeService​(int i)` | Removes the ith "service" element
    `void` | `removeTypes​(int i)` | Removes the ith "types" element
    `void` | `setBindingArray​(int i, XmlObject binding)` | Sets ith "binding" element
    `void` | `setBindingArray​(XmlObject[] bindingArray)` | Sets array of all "binding" element
    `void` | `setImportArray​(int i, TImport ximport)` | Sets ith "import" element
    `void` | `setImportArray​(TImport[] ximportArray)` | Sets array of all "import" element
    `void` | `setMessageArray​(int i, XmlObject message)` | Sets ith "message" element
    `void` | `setMessageArray​(XmlObject[] messageArray)` | Sets array of all "message" element
    `void` | `setPortTypeArray​(int i, XmlObject portType)` | Sets ith "portType" element
    `void` | `setPortTypeArray​(XmlObject[] portTypeArray)` | Sets array of all "portType" element
    `void` | `setServiceArray​(int i, XmlObject service)` | Sets ith "service" element
    `void` | `setServiceArray​(XmlObject[] serviceArray)` | Sets array of all "service" element
    `void` | `setTypesArray​(int i, XmlObject types)` | Sets ith "types" element
    `void` | `setTypesArray​(XmlObject[] typesArray)` | Sets array of all "types" element
    `int` | `sizeOfBindingArray()` | Returns number of "binding" element
    `int` | `sizeOfImportArray()` | Returns number of "import" element
    `int` | `sizeOfMessageArray()` | Returns number of "message" element
    `int` | `sizeOfPortTypeArray()` | Returns number of "portType" element
    `int` | `sizeOfServiceArray()` | Returns number of "service" element
    `int` | `sizeOfTypesArray()` | Returns number of "types" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final ElementFactory<DefinitionsDocument.Definitions> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getImportList

          List<TImport> getImportList()

      Gets a List of "import" elements

    - #### getImportArray

          TImport[] getImportArray()

      Gets array of all "import" elements

    - #### getImportArray

          TImport getImportArray​(int i)

      Gets ith "import" element

    - #### sizeOfImportArray

          int sizeOfImportArray()

      Returns number of "import" element

    - #### setImportArray

          void setImportArray​(TImport[] ximportArray)

      Sets array of all "import" element

    - #### setImportArray

          void setImportArray​(int i,
                              TImport ximport)

      Sets ith "import" element

    - #### insertNewImport

          TImport insertNewImport​(int i)

      Inserts and returns a new empty value (as xml) as the ith "import" element

    - #### addNewImport

          TImport addNewImport()

      Appends and returns a new empty value (as xml) as the last "import" element

    - #### removeImport

          void removeImport​(int i)

      Removes the ith "import" element

    - #### getTypesList

          List<XmlObject> getTypesList()

      Gets a List of "types" elements

    - #### getTypesArray

          XmlObject[] getTypesArray()

      Gets array of all "types" elements

    - #### getTypesArray

          XmlObject getTypesArray​(int i)

      Gets ith "types" element

    - #### sizeOfTypesArray

          int sizeOfTypesArray()

      Returns number of "types" element

    - #### setTypesArray

          void setTypesArray​(XmlObject[] typesArray)

      Sets array of all "types" element

    - #### setTypesArray

          void setTypesArray​(int i,
                             XmlObject types)

      Sets ith "types" element

    - #### insertNewTypes

          XmlObject insertNewTypes​(int i)

      Inserts and returns a new empty value (as xml) as the ith "types" element

    - #### addNewTypes

          XmlObject addNewTypes()

      Appends and returns a new empty value (as xml) as the last "types" element

    - #### removeTypes

          void removeTypes​(int i)

      Removes the ith "types" element

    - #### getMessageList

          List<XmlObject> getMessageList()

      Gets a List of "message" elements

    - #### getMessageArray

          XmlObject[] getMessageArray()

      Gets array of all "message" elements

    - #### getMessageArray

          XmlObject getMessageArray​(int i)

      Gets ith "message" element

    - #### sizeOfMessageArray

          int sizeOfMessageArray()

      Returns number of "message" element

    - #### setMessageArray

          void setMessageArray​(XmlObject[] messageArray)

      Sets array of all "message" element

    - #### setMessageArray

          void setMessageArray​(int i,
                               XmlObject message)

      Sets ith "message" element

    - #### insertNewMessage

          XmlObject insertNewMessage​(int i)

      Inserts and returns a new empty value (as xml) as the ith "message" element

    - #### addNewMessage

          XmlObject addNewMessage()

      Appends and returns a new empty value (as xml) as the last "message" element

    - #### removeMessage

          void removeMessage​(int i)

      Removes the ith "message" element

    - #### getBindingList

          List<XmlObject> getBindingList()

      Gets a List of "binding" elements

    - #### getBindingArray

          XmlObject[] getBindingArray()

      Gets array of all "binding" elements

    - #### getBindingArray

          XmlObject getBindingArray​(int i)

      Gets ith "binding" element

    - #### sizeOfBindingArray

          int sizeOfBindingArray()

      Returns number of "binding" element

    - #### setBindingArray

          void setBindingArray​(XmlObject[] bindingArray)

      Sets array of all "binding" element

    - #### setBindingArray

          void setBindingArray​(int i,
                               XmlObject binding)

      Sets ith "binding" element

    - #### insertNewBinding

          XmlObject insertNewBinding​(int i)

      Inserts and returns a new empty value (as xml) as the ith "binding" element

    - #### addNewBinding

          XmlObject addNewBinding()

      Appends and returns a new empty value (as xml) as the last "binding" element

    - #### removeBinding

          void removeBinding​(int i)

      Removes the ith "binding" element

    - #### getPortTypeList

          List<XmlObject> getPortTypeList()

      Gets a List of "portType" elements

    - #### getPortTypeArray

          XmlObject[] getPortTypeArray()

      Gets array of all "portType" elements

    - #### getPortTypeArray

          XmlObject getPortTypeArray​(int i)

      Gets ith "portType" element

    - #### sizeOfPortTypeArray

          int sizeOfPortTypeArray()

      Returns number of "portType" element

    - #### setPortTypeArray

          void setPortTypeArray​(XmlObject[] portTypeArray)

      Sets array of all "portType" element

    - #### setPortTypeArray

          void setPortTypeArray​(int i,
                                XmlObject portType)

      Sets ith "portType" element

    - #### insertNewPortType

          XmlObject insertNewPortType​(int i)

      Inserts and returns a new empty value (as xml) as the ith "portType" element

    - #### addNewPortType

          XmlObject addNewPortType()

      Appends and returns a new empty value (as xml) as the last "portType" element

    - #### removePortType

          void removePortType​(int i)

      Removes the ith "portType" element

    - #### getServiceList

          List<XmlObject> getServiceList()

      Gets a List of "service" elements

    - #### getServiceArray

          XmlObject[] getServiceArray()

      Gets array of all "service" elements

    - #### getServiceArray

          XmlObject getServiceArray​(int i)

      Gets ith "service" element

    - #### sizeOfServiceArray

          int sizeOfServiceArray()

      Returns number of "service" element

    - #### setServiceArray

          void setServiceArray​(XmlObject[] serviceArray)

      Sets array of all "service" element

    - #### setServiceArray

          void setServiceArray​(int i,
                               XmlObject service)

      Sets ith "service" element

    - #### insertNewService

          XmlObject insertNewService​(int i)

      Inserts and returns a new empty value (as xml) as the ith "service" element

    - #### addNewService

          XmlObject addNewService()

      Appends and returns a new empty value (as xml) as the last "service" element

    - #### removeService

          void removeService​(int i)

      Removes the ith "service" element